import * as React from 'react';
import { EditorFromTextArea } from 'codemirror5';
interface WysiwygNavProps {
    disabled?: boolean;
    editorRef: React.MutableRefObject<EditorFromTextArea>;
    isExpandMode?: boolean;
    isPreviewMode?: boolean;
    onActionClick: (action: string, editorRef: React.MutableRefObject<EditorFromTextArea>, callback?: () => void) => void;
    onToggleMediaLib: () => void;
    onTogglePreviewMode?: () => void;
}
declare const WysiwygNav: ({ disabled, editorRef, isExpandMode, isPreviewMode, onActionClick, onToggleMediaLib, onTogglePreviewMode, }: WysiwygNavProps) => JSX.Element;
export { WysiwygNav };
export type { WysiwygNavProps };
//# sourceMappingURL=WysiwygNav.d.ts.map